Overview | Modules | Class Hierarchy | Classes | Members

Public Member Functions | Static Public Attributes
tlp::CoordVectorProperty Class Reference
Properties

`#include <LayoutProperty.h>`

Inheritance diagram for tlp::CoordVectorProperty:
[legend]
Collaboration diagram for tlp::CoordVectorProperty:
[legend]

List of all members.

## Public Member Functions

- CoordVectorProperty (Graph *g, std::string n="")
- PropertyInterface * clonePrototype (Graph *, const std::string &)
- std::string getTypename () const

## Static Public Attributes

- static const std::string propertyTypename

## Constructor & Destructor Documentation

tlp::CoordVectorProperty::CoordVectorProperty | ( | Graph * | g,
|  | std::string | n = `""`
| ) |  | `[inline]`

## Member Function Documentation

PropertyInterface* tlp::CoordVectorProperty::clonePrototype | ( | Graph * | ,
|  | const std::string & |
| ) |  | `[virtual]`

Creates an object of the same real type of the current property, in the the graph (first parameter) with the name (second parameter). Values are not copied.

Implements tlp::PropertyInterface.

std::string tlp::CoordVectorProperty::getTypename | ( |  | ) | const`[inline, virtual]`

Returns a string describing the type of the property. i.e. "graph", "double", "layout", "string", "integer", "color", "size", ...

Implements tlp::PropertyInterface.

## Member Data Documentation

const std::string tlp::CoordVectorProperty::propertyTypename `[static]`

Tulip Software by LaBRI Visualization Team 2001 - 2012